class LocalManifest.FormModule.UseModule.Field extends ManifestBase.NameValues
  
  set_default: () ->
    super()
    @values['label'] ||= {}
    @values['tag'] ||= {}
    @values['helpers'] ||= {}
    # @values['row_break'] ||= true # default false. only set true
    
  init: () ->
    super()
    @label = ManifestBase.load_type_args this, @values, 'label', LocalManifest.FormModule.UseModule.FieldModule.LabelFactory
    @tag = ManifestBase.load_type_args this, @values, 'tag', LocalManifest.FormModule.UseModule.FieldModule.TagFactory
    @helpers = ManifestBase.load_type_name_args this, @values, 'helpers', LocalManifest.FormModule.UseModule.FieldModule.HelperFactory
    @row_break = @values['row_break']
    # @boost_name = @values['boost_name']
  
  is_part: () ->
    @part_name != null 
  
  use_name: () ->
    @use().name
  
  form_name: () ->
    @form().name
  
  column_name: () ->
    @name
  
  item_name: () ->
    @form_name()
  
  use: () ->
    @parent
  
  form: () ->
    @use().parent
  
class LocalManifest.FormModule.UseModule.FieldModule
