ManifestBase.require_modules "local_manifest/filer/caption/default/", 
  %w|face link|

module LocalManifest
  module FilerModule
    module CaptionModule
      class Default < Base
        include DefaultModule
        attr :face, :link
        
        def set_default
          super
          @args['face'] ||= {}
          @args['link'] ||= {}
        end
        
        def init
          super
          @face = ManifestBase.load_type_args self, @args, 'face', FaceFactory
          @link = ManifestBase.load_type_args self, @args, 'link', LinkFactory
        end
        
        def visible?
          @face.type != 'none'
        end
        
      end
    end
  end
end
