ManifestBase.require_modules "local_manifest/form/use/field/label/", 
  %w|label|

module LocalManifest
  module FormModule
    module UseModule
      module FieldModule
        class LabelFactory < ManifestBase::Factory
          include LabelModule
          
          def self.types
            {
              'default' => Default, 'none' => None
            }
          end
          
          def self.default_type
            'default'
          end
          
        end
      end
    end
  end
end
