class Pettanr.View.Summary.Binder extends Pettanr.View.Summary
  
  initialize: (options) ->
    super(options)
    @visible_t = options.visible_t
    @visible_column_name = options.visible_column_name
  
  render: () ->
    super()
    @visible = new Tag.Div({
      content: Pettanr.AppHelper.t_selected_item(@visible_t, @item.get(@visible_column_name))
    })
    @item.get_parent('author', this, {
      success: (@author) =>
        @author_faced_label_button = @author.mini_faced_label_button({
            shorten: true
          }, {
          context: @context,
          click: () =>
            @trigger('http_get', @author.show_url())
        })
        this.$el.html('')
        this.$el.append(@visible.render().el)
        this.$el.append(@author_faced_label_button.render().el)
    })
    this
  
