class Pettanr.Views.OriginalPictureLicenseGroup.Form extends Locmare.Form
  
  initialize: (options) ->
    super(options)
  
  init_fields: () ->
    super()
    @listenTo(@item, 'input:license_group_id', @select)
  
  render: () ->
    super()
    @listenTo(@fields['license_group_id'].tag, 'ready:select', @ready_select)
    this
  
  ready_select: () ->
    # add null option in license_group at first
    sel = @fields['license_group_id'].tag.$el[0]
    opt1st = sel[0]
    opt = new Tag.Option({caption:  I18n.t('select_items.form.space')})
    sel.insertBefore(opt.render().el, opt1st)
  
  select: () ->
    @item.get_parent('license_group', this, {
      success: (license_group) => 
        @fields['license_group_id'].tag.$el.attr('disabled', 'disabled')
        attr = {
          original_picture_id: @item.get('original_picture_id'),
          license_group_id: license_group.get('id'),
          license_id: null,
          license_group_module_name: license_group.get('module_name')
        }
        opl = new Pettanr.OriginalPictureLicense(attr)
        opl.boosts 'post'
        @trigger('next', opl)
    })
  
