ManifestBase.require_modules "local_manifest/filer/symbol/default/link/", 
  %w|link|

module LocalManifest
  module FilerModule
    module SymbolModule
      module DefaultModule
        class LinkFactory < ManifestBase::Factory
          include LinkModule
          
          def self.types
            {
              'action' => ActionLink, 'none' => NoneLink, 'url_column' => UrlColumnLink
            }
          end
          
          def self.default_type
            'action'
          end
          
        end
      end
    end
  end
end
