module Manifest
  module ModelModule
    module AttributeModule
      module SourceModule
        class MagicNumberSource < Base
          attr :select_item_name
          
          def set_default
            super
            ManifestBase.alert_undefined_message 'select_item_name',  self.module_message unless @args['select_item_name']
            @args['has_translation'] ||= 1
          end
          
          def init
            super
            @select_item_name = @args['select_item_name']
            @has_translation = @args['has_translation']
          end
          
        end
        
      end
    end
  end
end
